
From: Philippe Elie <phil.el@wanadoo.fr>

Unless I miss something this look like a typo, one user reported to get
error from the daemon: 'Unknown event for counter 1' (alpha ev6) and the
behavior was better but not completly sane after trying this patch: he get
spurious event for counter 1 when enabling only counter 0 but rarely now. 
No alpha box to test this.



---

 arch/alpha/oprofile/common.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/alpha/oprofile/common.c~oprofile-alpha-fix arch/alpha/oprofile/common.c
--- 25/arch/alpha/oprofile/common.c~oprofile-alpha-fix	2004-01-25 20:09:58.000000000 -0800
+++ 25-akpm/arch/alpha/oprofile/common.c	2004-01-25 20:09:58.000000000 -0800
@@ -57,7 +57,7 @@ op_axp_setup(void)
 
 	/* Compute the mask of enabled counters.  */
 	for (i = e = 0; i < model->num_counters; ++i)
-		if (ctr[0].enabled)
+		if (ctr[i].enabled)
 			e |= 1 << i;
 	reg.enable = e;
 

_
